> For the complete documentation index, see [llms.txt](https://developer.boggio-analytics.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.boggio-analytics.com/getting-started/making-a-first-api-call.md).

# Making a first API call

After completing the [setup guide](/getting-started/setup.md#setup), you should verify that you are able to make a successful request.

{% hint style="success" %}
Use the **List available markets** endpoint to verify the markets you have access to based on your subscription type.
{% endhint %}

#### Test Request via Rapidapi

```javascript
curl --get --include 'https://football-prediction-api.p.rapidapi.com/api/v2/list-markets' \
  -H 'X-RapidAPI-Key: SIGN-UP-FOR-KEY'
```

A good request would return a HTTP Status code of **200** and a **JSON** response looking similar to the one bellow

```javascript
{
  "data": {
    "allowed_for_your_subscription": [
      "home_over_05",
      "btts",
      "over_35",
      "classic",
      "home_over_15",
      "over_25",
      "away_over_15",
      "away_over_05"
    ],
    "all": [
      "home_over_05",
      "btts",
      "over_35",
      "classic",
      "home_over_15",
      "over_25",
      "away_over_15",
      "away_over_05"
    ]
  }
}
```

The example above shows that all prediction markets can be accessed . (all markets listed in *allowed\_for\_your\_subscription*)

The market is a optional parameter that can be specified when requesting predictions.

## Available prediction markets

| Market           | Description                                                                         | Default |
| ---------------- | ----------------------------------------------------------------------------------- | ------- |
| *classic*        | Predictions for final match result (1 - home victory / X - draw / 2 - away victory) | Yes     |
| *over\_25*       | Predicts whether there will be more than 2.5 goals scored (yes / no)                | No      |
| *over\_35*       | Predicts whether there will be more than 3.5 goals scored (yes / no)                | No      |
| *btts*           | Predicts whether  both teams will score ( yes / no )                                | No      |
| *home\_over\_05* | Predicts whether the home team will score more than 0.5 goals (yes / no)            | No      |
| *home\_over\_15* | Predicts whether the home team will score more than 1.5 goals (yes / no)            | No      |
| *away\_over\_05* | Predicts whether the away team will score more than 0.5 goals (yes / no)            | No      |
| *away\_over\_15* | Predicts whether the away team will score more than 1.5 goals (yes / no)            | No      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.boggio-analytics.com/getting-started/making-a-first-api-call.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
